Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util.io
Class URLInputAdapter

    java.lang.Object
      org.neuroph.util.io.InputStreamAdapter
          org.neuroph.util.io.URLInputAdapter

All Implemented Interfaces:
  InputAdapter

    public class URLInputAdapter

extends InputStreamAdapter

Implementation of InputAdapter interface for reading neural network inputs from URL.

Author:
  Zoran Sevarac
See Also:
  `InputAdapter`

Field Summary

Fields inherited from class org.neuroph.util.io.InputStreamAdapter
`bufferedReader`

Constructor Summary
`URLInputAdapter(String url)` Creates a new URLInputAdapter by opening a connection to URL specified by the input param
`URLInputAdapter(URL url)` Creates a new URLInputAdapter by opening a connection to URL specified by the input param

Method Summary

Methods inherited from class org.neuroph.util.io.InputStreamAdapter
`close, readInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLInputAdapter

    public URLInputAdapter(URL url)
                    throws IOException

  Creates a new URLInputAdapter by opening a connection to URL specified by the input param

  Parameters:
    `url` - URL object to connect to.
  Throws:
    `IOException` - if connection

### URLInputAdapter

    public URLInputAdapter(String url)
                    throws MalformedURLException,
                           IOException

  Creates a new URLInputAdapter by opening a connection to URL specified by the input param

  Parameters:
    `url` - URL to connect to as string.
  Throws:
    `IOException` - if connection
    `MalformedURLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.